zenilib: zenilib/jni/external/freetype2/src/pfr/pfrsbit.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Typedefs | Functions
pfrsbit.c File Reference
`#include "pfrsbit.h"`
`#include "pfrload.h"`
`#include <FT_INTERNAL_DEBUG_H>`
`#include <FT_INTERNAL_STREAM_H>`
`#include "pfrerror.h"`

Go to the source code of this file.

## Macros

#define | FT_COMPONENT trace_pfr

## Typedefs

typedef struct PFR_BitWriter_ * | PFR_BitWriter
typedef struct PFR_BitWriter_ | PFR_BitWriterRec

## Functions

static void | pfr_bitwriter_decode_bytes (PFR_BitWriter writer, FT_Byte *p, FT_Byte *limit)
static void | pfr_bitwriter_decode_rle1 (PFR_BitWriter writer, FT_Byte *p, FT_Byte *limit)
static void | pfr_bitwriter_decode_rle2 (PFR_BitWriter writer, FT_Byte *p, FT_Byte *limit)
static void | pfr_bitwriter_init (PFR_BitWriter writer, FT_Bitmap *target, FT_Bool decreasing)
static FT_Error | pfr_load_bitmap_bits (FT_Byte *p, FT_Byte *limit, FT_UInt format, FT_Bool decreasing, FT_Bitmap *target)
static FT_Error | pfr_load_bitmap_metrics (FT_Byte **pdata, FT_Byte *limit, FT_Long scaled_advance, FT_Long *axpos, FT_Long *aypos, FT_UInt *axsize, FT_UInt *aysize, FT_Long *aadvance, FT_UInt *aformat)
static void | pfr_lookup_bitmap_data (FT_Byte *base, FT_Byte *limit, FT_UInt count, FT_UInt flags, FT_UInt char_code, FT_ULong *found_offset, FT_ULong *found_size)
| pfr_slot_load_bitmap (PFR_Slot glyph, PFR_Size size, FT_UInt glyph_index)

## Macro Definition Documentation

#define FT_COMPONENT trace_pfr

Definition at line 27 of file pfrsbit.c.

## Typedef Documentation

typedef struct PFR_BitWriter_ * PFR_BitWriter

typedef struct PFR_BitWriter_ PFR_BitWriterRec

## Function Documentation

static void pfr_bitwriter_decode_bytes | ( | PFR_BitWriter | writer,
|  | FT_Byte * | p,
|  | FT_Byte * | limit
| ) |  |

static

Definition at line 69 of file pfrsbit.c.

Referenced by pfr_load_bitmap_bits().

static void pfr_bitwriter_decode_rle1 | ( | PFR_BitWriter | writer,
|  | FT_Byte * | p,
|  | FT_Byte * | limit
| ) |  |

static

Definition at line 123 of file pfrsbit.c.

Referenced by pfr_load_bitmap_bits().

static void pfr_bitwriter_decode_rle2 | ( | PFR_BitWriter | writer,
|  | FT_Byte * | p,
|  | FT_Byte * | limit
| ) |  |

static

Definition at line 203 of file pfrsbit.c.

Referenced by pfr_load_bitmap_bits().

static void pfr_bitwriter_init | ( | PFR_BitWriter | writer,
|  | FT_Bitmap * | target,
|  | FT_Bool | decreasing
| ) |  |

static

Definition at line 50 of file pfrsbit.c.

References FT_Bitmap_::buffer, FT_Bitmap_::pitch, FT_Bitmap_::rows, and FT_Bitmap_::width.

Referenced by pfr_load_bitmap_bits().

static FT_Error pfr_load_bitmap_bits | ( | FT_Byte * | p,
|  | FT_Byte * | limit,
|  | FT_UInt | format,
|  | FT_Bool | decreasing,
|  | FT_Bitmap * | target
| ) |  |

static

Definition at line 481 of file pfrsbit.c.

References error, FT_ERROR, pfr_bitwriter_decode_bytes(), pfr_bitwriter_decode_rle1(), pfr_bitwriter_decode_rle2(), pfr_bitwriter_init(), FT_Bitmap_::rows, and FT_Bitmap_::width.

static FT_Error pfr_load_bitmap_metrics | ( | FT_Byte ** | pdata,
|  | FT_Byte * | limit,
|  | FT_Long | scaled_advance,
|  | FT_Long * | axpos,
|  | FT_Long * | aypos,
|  | FT_UInt * | axsize,
|  | FT_UInt * | aysize,
|  | FT_Long * | aadvance,
|  | FT_UInt * | aformat
| ) |  |

static

Definition at line 346 of file pfrsbit.c.

References error, FT_ERROR, PFR_CHECK, PFR_NEXT_BYTE, PFR_NEXT_INT8, PFR_NEXT_LONG, PFR_NEXT_SHORT, and PFR_NEXT_USHORT.

static void pfr_lookup_bitmap_data | ( | FT_Byte * | base,
|  | FT_Byte * | limit,
|  | FT_UInt | count,
|  | FT_UInt | flags,
|  | FT_UInt | char_code,
|  | FT_ULong * | found_offset,
|  | FT_ULong * | found_size
| ) |  |

static

Definition at line 275 of file pfrsbit.c.

References FT_Bool, FT_BOOL, PFR_NEXT_BYTE, PFR_NEXT_ULONG, PFR_NEXT_USHORT, and two.

pfr_slot_load_bitmap | ( | PFR_Slot | glyph,
|  | PFR_Size | size,
|  | FT_UInt | glyph_index
| ) |  |

Definition at line 528 of file pfrsbit.c.

References error, and for().

Referenced by pfr_slot_load().